MPI_Win_free_keyval(3)

NAME
MPI_Win_free_keyval - Frees a window keyval.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Win_free_keyval(int *win_keyval)

Fortran Syntax
USE MPI
! or the older form: INCLUDE 'mpif.h'
MPI_WIN_FREE_KEYVAL(WIN_KEYVAL, IERROR)
	INTEGER WIN_KEYVAL, IERROR

Fortran 2008 Syntax
USE mpi_f08
MPI_Win_free_keyval(win_keyval, ierror)
	INTEGER, INTENT(INOUT) :: win_keyval
	INTEGER, OPTIONAL, INTENT(OUT) :: ierror

C++ Syntax
#include <mpi.h>
static void MPI::Win::Free_keyval(int& win_keyval)

INPUT/OUTPUT PARAMETER

win_keyval
    Key value (integer).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.